Bug 1266249 - [RFE] Don't create puppet environment when no modules are added to content view
[RFE] Don't create puppet environment when no modules are added to content view
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: FutureFeature
: 1339220 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2015-09-24 17:16 EDT by Johan Swensson
Modified: 2016-05-24 08:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-19 17:33:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 10459 None None None 2016-04-22 12:08 EDT

  None (edit)
Description Johan Swensson 2015-09-24 17:16:40 EDT
When a content view is created a corresponding KT_ environement is created, if no Puppet modules are added to the content view this environement should never be created. Only create a Puppet environment for content views that contain Puppet modules to keep the environment list clean from empty Puppet environments.
Comment 2 Brad Buckingham 2015-11-19 17:28:11 EST
This has already been addressed in the upstream; therefore, it will be included in Satellite 6.2.
Comment 4 Veaceslav Mindru 2016-05-24 08:29:48 EDT
*** Bug 1339220 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.